%define revision 746525

Name:           systemsettings-kde3 
Version:        0.2
Release:        %mkrel 4.%revision.3
Summary:        KDE System Settings Center
Group:          Graphical desktop/KDE
License:        GPL
URL:            http://www.kde.org
Source:	        %{name}-%{version}.%{revision}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  kdelibs-devel

%description
KDE System Settings Center is the replacement for kcontrol. 
It is an improved user interface hosting various modules 
for configuring the desktop and other aspects of the system.


%files
%defattr(-,root,root,-)
%{_kde3_bindir}/systemsettings
%{_sysconfdir}/xdg/menus/applications-merged/system-settings-merge.menu
%{_sysconfdir}/xdg/menus/system-settings.menu
%{_kde3_datadir}/applications/kde/audioencoding.desktop
%{_kde3_datadir}/applications/kde/defaultapplication.desktop
%{_kde3_datadir}/applications/kde/kcm_knetworkconfmodule_ss.desktop
%exclude %{_kde3_datadir}/applications/kde/kcmfontinst.desktop
%{_kde3_datadir}/applications/kde/laptoppowermanagement.desktop
%{_kde3_datadir}/applications/kde/medianotifications.desktop
%{_kde3_datadir}/applications/kde/systemsettings.desktop
%dir %{_kde3_datadir}/apps/systemsettings
%{_kde3_datadir}/apps/systemsettings/systemsettingsui.rc
%{_kde3_datadir}/config/systemsettingsrc
%{_kde3_datadir}/desktop-directories/kde-settings-accessibility_ss.directory
%{_kde3_datadir}/desktop-directories/kde-settings-advanced.directory
%{_kde3_datadir}/desktop-directories/kde-settings-advancedusersettings.directory
%{_kde3_datadir}/desktop-directories/kde-settings-appearance.directory
%{_kde3_datadir}/desktop-directories/kde-settings-bluetooth.directory
%{_kde3_datadir}/desktop-directories/kde-settings-computeradministration.directory
%{_kde3_datadir}/desktop-directories/kde-settings-defaultapplications.directory
%{_kde3_datadir}/desktop-directories/kde-settings-general.directory
%{_kde3_datadir}/desktop-directories/kde-settings-keyboardmouse.directory
%{_kde3_datadir}/desktop-directories/kde-settings-laptops.directory
%{_kde3_datadir}/desktop-directories/kde-settings-looknfeel2.directory
%{_kde3_datadir}/desktop-directories/kde-settings-networkconnections.directory
%{_kde3_datadir}/desktop-directories/kde-settings-networkconnectivity.directory
%{_kde3_datadir}/desktop-directories/kde-settings-networksettings.directory
%{_kde3_datadir}/desktop-directories/kde-settings-notifications.directory
%{_kde3_datadir}/desktop-directories/kde-settings-panel.directory
%{_kde3_datadir}/desktop-directories/kde-settings-personal.directory
%exclude %{_kde3_datadir}/desktop-directories/kde-settings-power.directory
%{_kde3_datadir}/desktop-directories/kde-settings-regional.directory
%{_kde3_datadir}/desktop-directories/kde-settings-sharing.directory
%{_kde3_datadir}/desktop-directories/kde-settings-splashscreen.directory
%exclude %{_kde3_datadir}/desktop-directories/kde-settings-system.directory
%{_kde3_datadir}/desktop-directories/kde-settings-useraccount.directory
%{_kde3_datadir}/desktop-directories/kde-settings-windowbehavior.directory
%{_kde3_datadir}/desktop-directories/system-settings.directory
%{_kde3_iconsdir}/crystalsvg/*/apps/systemsettings.png

#--------------------------------------------------------------------

%prep 
%setup -q -n %name


%build
make -f admin/Makefile.common
%configure_kde3


make

%install
%makeinstall_std
 
%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-4.746525.3mdv2009.0
+ Revision: 269404
- rebuild early 2009.0 package (before pixel changes)

* Sun May 18 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-0.746525.3mdv2009.0
+ Revision: 208686
- Move to /opt

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-0.746525.2mdv2008.1
+ Revision: 116779
- Remove files that conflicts with kdebase

* Sun Dec 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-0.746525.1mdv2008.1
+ Revision: 116739
- import systemsettings-kde3


